import React, { useState, useEffect } from 'react';
import Question from './Question';
import 'bootstrap/dist/css/bootstrap.min.css';
import '../App.css';

function App() {
    const [questions, setQuestions] = useState([]);
    const [currentQuestion, setCurrentQuestion] = useState(0);
    const [score, setScore] = useState(0);

    useEffect(() => {
        fetch('http://127.0.0.1:8000/questions')
            .then(response => response.json())
            .then(data => setQuestions(data))
            .catch(error => console.error('Error fetching questions:', error));
    }, []);

    return (
        <div>
            <nav className="navbar navbar-expand-lg navbar-light bg-light">
                <div className="container-fluid">
                    <span className="navbar-brand">
                        <i className="fas fa-question-circle"></i> Discover
                    </span>
                    <span className="navbar-text">
                        Score : {score}/10
                    </span>
                </div>
            </nav>
            <div className="container mt-5">
                {questions.length > 0 && currentQuestion < questions.length ? (
                    <Question question={questions[currentQuestion]} setCurrentQuestion={setCurrentQuestion} setScore={setScore} score={score} />
                ) : (
                    <h1>No more questions!</h1>
                )}
            </div>
        </div>
    );
}

export default App;