import React, { useState } from 'react';
import Answer from './Answer';
import 'bootstrap/dist/css/bootstrap.min.css';

function Question({ question, setCurrentQuestion, setScore, score }) {
    const [selectedAnswer, setSelectedAnswer] = useState(null);
    const [showNext, setShowNext] = useState(false);
    const [showValidate, setShowValidate] = useState(true);

    const handleChange = (correct) => {
        setSelectedAnswer(correct);
        setShowValidate(true);
        console.log(correct);
    };

    const handleNext = () => {
        setSelectedAnswer(null);
        setShowNext(false);
        setShowValidate(true);
        setCurrentQuestion(prevQuestion => prevQuestion + 1);
    };

    const handleValidate = () => {
        if (selectedAnswer !== null) {
            setShowNext(true);
            setShowValidate(false);
        }
        if(selectedAnswer)
            setScore(score+1);
    };

    return (
        <div>
            <h1 className="mb-5">{question.text}</h1>

            <ul className="list-group mb-5" id="answers">
            {question.answers.map((answer, index) => (
                <Answer key={index} answer={answer} handleChange={handleChange} selectedAnswer={selectedAnswer} showValidate={showValidate}/>
            ))}
            </ul>
            <div className="btn-group">
                {showValidate && (
                    <button type="button" className="btn btn-success" onClick={handleValidate}
                            disabled={selectedAnswer === null}>Valider</button>
                )}
                {showNext && (
                    <button type="button" className="btn btn-primary" onClick={handleNext}>Question suivante</button>
                )}
            </div>
        </div>
    );
}

export default Question;
